<script setup lang="ts">
  const props = defineProps<{
    controller: ReturnType<typeof useModal>;
  }>();
  const emits = defineEmits(['submit']);

  const onSubmit = () => {
    emits('submit');
    props.controller.close();
  };

  const onCloseModal = () => {
    props.controller.close();
  };
</script>

<template>
  <SwModal backdrop-display="static" :controller="controller">
    <template #body>
      <div class="flex flex-col space-y-6">
        <div>
          <span class="text-lg/[1.625rem] font-bold">{{
            $t('product.removeProductsModal.headline')
          }}</span>
          <p class="text-(sm/6 information) pt-2">
            {{ $t('product.removeProductsModal.sublime') }}
          </p>
        </div>
      </div>
    </template>
    <template #footer>
      <SwButton size="large" variant="action" @click="onCloseModal">
        {{ $t('cancel') }}
      </SwButton>
      <SwButton variant="danger" size="large" @click="onSubmit">{{
        $t('product.removeProductsModal.submit')
      }}</SwButton>
    </template>
  </SwModal>
</template>
